Bug 34306 - Convert editing/selection/5136696.html to dumpAsText
Summary: Convert editing/selection/5136696.html to dumpAsText
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-28 21:31 PST by Martin Robinson
Modified: 2010-03-11 12:19 PST (History)
0 users

See Also:


Attachments
Convert the test (32.84 KB, patch)
2010-01-28 21:36 PST, Martin Robinson
levin: review-
mrobinson: commit-queue-
Details | Formatted Diff | Diff
Patch with fixes (deleted)
2010-01-29 19:34 PST, Martin Robinson
abarth: review+
mrobinson: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2010-01-28 21:31:48 PST
The test is currently skipped for GTK+ because there is no baseline, so I'll just convert it to a dumpAsText() test.
Comment 1 Martin Robinson 2010-01-28 21:36:27 PST
Created attachment 47673 [details]
Convert the test

I've attached a patch for this conversion.
Comment 2 David Levin 2010-01-29 10:13:52 PST
Comment on attachment 47673 [details]
Convert the test

I'm not too familiar with this test, but I tried to ensure that the final result would test the same thing that the test was verifying before.

To me it looks like converting this test to dumpAsText in this manner destroys what it was trying to do. It looks like with the patch, this test no longer verifies that text is selected anymore nor does it verify what has focus.
Comment 3 Martin Robinson 2010-01-29 10:45:27 PST
It verifies that the selection text is equal to "This test should be selected, but this frame shouldn't be focused." by appending the current selection to the body.

I'm not sure exactly how the original test verifies that the text field has focus (I don't see it in the DRT output), but I can make sure that this conversion does test that.
Comment 4 Martin Robinson 2010-01-29 19:34:38 PST
Created attachment 47757 [details]
Patch with fixes

Looks like I had ordered the test statements incorrectly. I've uploaded a patch that verifies that the text field has focus and also that the iframe's selection has not been collapsed.
Comment 5 Adam Barth 2010-03-08 11:05:53 PST
Comment on attachment 47757 [details]
Patch with fixes

Looks like you've addressed David's concerns.  David, if you still have concerns, please feel free to convert my r+ into an r-.
Comment 6 Martin Robinson 2010-03-11 12:19:08 PST
Committed r55852: <http://trac.webkit.org/changeset/55852>